summaryrefslogtreecommitdiff
path: root/games-strategy
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-26 07:04:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-09-26 07:04:23 +0000
commitb6765e207201ea66bc0936130d07e72b466b7ff3 (patch)
tree42bb7b26fd67a84d64dd189fcbd091b42eb814b1 /games-strategy
parent3a504ec9094022d6a46d49465f882e3f46868175 (diff)
downloadbaldeagleos-repo-b6765e207201ea66bc0936130d07e72b466b7ff3.tar.gz
baldeagleos-repo-b6765e207201ea66bc0936130d07e72b466b7ff3.tar.xz
baldeagleos-repo-b6765e207201ea66bc0936130d07e72b466b7ff3.zip
Adding metadata
Diffstat (limited to 'games-strategy')
-rw-r--r--games-strategy/warzone2100/Manifest1
-rw-r--r--games-strategy/warzone2100/files/warzone2100-4.6.1-clang-fmt-stdlib-include.patch10
-rw-r--r--games-strategy/warzone2100/files/warzone2100-4.6.1-protobuf-absl-linkage.patch35
-rw-r--r--games-strategy/warzone2100/warzone2100-4.6.1.ebuild132
4 files changed, 178 insertions, 0 deletions
diff --git a/games-strategy/warzone2100/Manifest b/games-strategy/warzone2100/Manifest
index 049861d67890..c06b51b788e8 100644
--- a/games-strategy/warzone2100/Manifest
+++ b/games-strategy/warzone2100/Manifest
@@ -1,3 +1,4 @@
DIST warzone2100-4.4.2.tar.xz 490182768 BLAKE2B 4b8f6825072c8dd29e1d4699b21123ff015e87da9b4f5043e40398ec5ec41ba12d414bbb01dd616a9e7f74f45407341e87a071ef38eb7c191e3845016f8df330 SHA512 8edfae77853826fda4bafafc513d9c6d999861fc4a7f0cf22318df7ebf9df3d7f98c3859eec8e8eeb02f4243b7e2e152c8d46881f4f8d414787ef0d0735ea4e6
DIST warzone2100-4.5.5.tar.xz 507815568 BLAKE2B cc4ff66e2df7666ebb834ead839e2ac2345f3e105232c53d0ec72be375ae01530ff0532368549b196a1a8cbbf9b9903ab5467b7e30248d618bf6fc6e3030d8b0 SHA512 b153306ea8a55334a37580c2862579f6b6a283ba3c082901fcb97fe4da3a6ae4b7bc9bd7c1fa33f39a3b5113876080b90422174f376a7ed148a18f21f57ee8b3
+DIST warzone2100-4.6.1.tar.xz 492456208 BLAKE2B f6684b3629507a80735f3adecf522aecb8e47070d5cb6a02479772c9c179da312367453be1c3d7a4af44a077a92d7581589c79e201cd113c07c60aa21a69bf2a SHA512 74a085e760e16605fde93bce0f82b09df6789913f4b6d138499cea6250955f63589b65035ae6463f450dcf779fdad0d2324b0e0a554c2f3f93a0d625061426b4
DIST warzone2100-videos-2.2.wz 571937134 BLAKE2B 60b70a71bd920e2d72ded5d519b17db2f3db4b0289edadeb58059a21aba7038b95219dc44cb807754461d1a9bdca60f0d7698be68622b8bd64a55efa949622d3 SHA512 ca1a1af51296afdaca137114821508c5783f077090e665eae0f6df895855f57c43f84434706309e819417f5f35d1c649bd14e96dc9fbbb1252d30a4f9a223cf6
diff --git a/games-strategy/warzone2100/files/warzone2100-4.6.1-clang-fmt-stdlib-include.patch b/games-strategy/warzone2100/files/warzone2100-4.6.1-clang-fmt-stdlib-include.patch
new file mode 100644
index 000000000000..fe4eca0623a4
--- /dev/null
+++ b/games-strategy/warzone2100/files/warzone2100-4.6.1-clang-fmt-stdlib-include.patch
@@ -0,0 +1,10 @@
+--- a/3rdparty/fmt/include/fmt/format.h
++++ b/3rdparty/fmt/include/fmt/format.h
+@@ -52,6 +52,7 @@
+ # include <memory> // std::allocator_traits
+ # endif
+ # include <stdexcept> // std::runtime_error
++# include <stdlib.h>
+ # include <string> // std::string
+ # include <system_error> // std::system_error
+
diff --git a/games-strategy/warzone2100/files/warzone2100-4.6.1-protobuf-absl-linkage.patch b/games-strategy/warzone2100/files/warzone2100-4.6.1-protobuf-absl-linkage.patch
new file mode 100644
index 000000000000..212e9081df9a
--- /dev/null
+++ b/games-strategy/warzone2100/files/warzone2100-4.6.1-protobuf-absl-linkage.patch
@@ -0,0 +1,35 @@
+From fd2ab132761d293eb909f4734bc9b4eec341fa8e Mon Sep 17 00:00:00 2001
+From: Kenton Groombridge <me@concord.sh>
+Date: Sun, 21 Sep 2025 23:07:55 +0000
+Subject: [PATCH] 3rdparty: fix GNS leaking absl symbols (#4576)
+
+* 3rdparty: fix GNS leaking absl symbols
+
+protobuf 22.0.0 uses absl for logging and leaks its symbols to static
+libraries built without -DNDEBUG. Avoid this by always passing this flag
+down to the GNS build.
+
+* Use GameNetworkingSockets_s target
+
+---------
+
+Co-authored-by: pastdue <30942300+past-due@users.noreply.github.com>
+---
+ 3rdparty/CMakeLists.txt | 4 ++++
+ 1 file changed, 4 insertions(+)
+
+diff --git a/3rdparty/CMakeLists.txt b/3rdparty/CMakeLists.txt
+index c84e6614d32..6f39c7c04c8 100644
+--- a/3rdparty/CMakeLists.txt
++++ b/3rdparty/CMakeLists.txt
+@@ -311,6 +311,10 @@ if (ENABLE_GNS_NETWORK_BACKEND)
+ # Don't build the shared variant of the client library: we don't use it anyway, plus it causes build conflicts for macOS.
+ set(BUILD_SHARED_LIB OFF CACHE INTERNAL "Build the shared library version of the client library" FORCE)
+ add_subdirectory(GameNetworkingSockets EXCLUDE_FROM_ALL)
++ # Avoid absl symbol leaks with protobuf>=22.0.0 by always passing -DNDEBUG
++ if(TARGET GameNetworkingSockets_s)
++ target_compile_options(GameNetworkingSockets_s PRIVATE -DNDEBUG)
++ endif()
+ unset(BUILD_SHARED_LIB CACHE)
+ else()
+ message(STATUS "GameNetworkingSockets backend support: DISABLED")
diff --git a/games-strategy/warzone2100/warzone2100-4.6.1.ebuild b/games-strategy/warzone2100/warzone2100-4.6.1.ebuild
new file mode 100644
index 000000000000..0397b9c61dd7
--- /dev/null
+++ b/games-strategy/warzone2100/warzone2100-4.6.1.ebuild
@@ -0,0 +1,132 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="ar_SA bg_BG ca_ES cs da de el en_GB eo es et_EE fa_IR fi fr fy ga he_IL hr hu id it ja_JP ko la lt my_MM nb nl pl pt pt_BR ro ru sk sl tr tt_RU uk_UA zh_CN zh_TW"
+inherit cmake flag-o-matic plocale xdg
+
+MY_PV=$(ver_cut 1-2)
+VIDEOS_PV=2.2
+VIDEOS_P=${PN}-videos-${VIDEOS_PV}.wz
+
+DESCRIPTION="3D real-time strategy game"
+HOMEPAGE="https://wz2100.net/"
+SRC_URI="
+ https://downloads.sourceforge.net/warzone2100/releases/${PV}/${PN}_src.tar.xz -> ${P}.tar.xz
+ videos? ( https://downloads.sourceforge.net/warzone2100/warzone2100/Videos/${VIDEOS_PV}/high-quality-en/sequences.wz -> ${VIDEOS_P} )
+"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0 public-domain vulkan? ( GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+# Upstream requested debug support
+IUSE="debug discord nls videos vulkan"
+
+COMMON_DEPEND="
+ dev-libs/fribidi
+ >=dev-games/physfs-2[zip]
+ dev-db/sqlite:3
+ >=dev-libs/libsodium-1.0.14:=
+ dev-libs/libzip:=
+ >=dev-libs/protobuf-2.6.1:=
+ media-libs/freetype:2
+ media-libs/harfbuzz:=
+ media-libs/libogg
+ media-libs/libpng:=
+ media-libs/libsdl2[opengl,video,X]
+ media-libs/libtheora:=
+ media-libs/libvorbis
+ media-libs/openal
+ media-libs/opus
+ media-libs/opusfile
+ net-libs/miniupnpc:=
+ net-misc/curl
+ sys-libs/zlib
+ nls? ( virtual/libintl )
+ vulkan? ( media-libs/libsdl2:=[vulkan] )
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ media-libs/fontconfig
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ media-fonts/dejavu
+"
+BDEPEND="
+ app-arch/zip
+ app-text/asciidoc
+ games-util/basis_universal
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+"
+
+HTML_DOCS=( doc/quickstartguide.html doc/docbook-xsl.css doc/ScriptingManual.htm )
+DOCS=( README.md doc/images doc/Scripting.md doc/js-globals.md )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.6.1-clang-fmt-stdlib-include.patch
+ "${FILESDIR}"/${PN}-4.6.1-protobuf-absl-linkage.patch
+)
+
+src_unpack() {
+ unpack ${P}.tar.xz
+}
+
+src_prepare() {
+ sed -i -e 's/#top_builddir/top_builddir/' po/Makevars || die
+
+ # Delete translations we're not using
+ cleanup_po() {
+ local locale=${1}
+ einfo "Cleaning up disabled locale: ${locale}"
+ rm po/${locale}.po || die
+ }
+
+ plocale_for_each_disabled_locale cleanup_po
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ # ODR violations (bison, yy_*, bug #859268)
+ filter-lto
+
+ # TODO: unbundle dev-cpp/nlohmann_json
+ # TODO: unbundle dev-libs/libfmt
+ # TODO: unbundle SQLiteCpp
+ # TODO: unbundle dev-libs/inih
+ local mycmakeargs=(
+ -DWZ_DISTRIBUTOR="Gentoo Linux"
+ -DWZ_ENABLE_WARNINGS_AS_ERRORS=OFF
+ -DWZ_ENABLE_BACKEND_VULKAN=$(usex vulkan)
+ -DBUILD_SHARED_LIBS=OFF
+ -DENABLE_NLS=$(usex nls)
+ -DENABLE_DISCORD=$(usex discord)
+
+ -DFMT_INSTALL=OFF
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+
+ asciidoc -b html5 doc/quickstartguide.asciidoc || die
+}
+
+src_install() {
+ cmake_src_install
+
+ # We cover licencing within the ebuild itself
+ rm "${ED}"/usr/share/doc/${PF}/COPYING* \
+ "${ED}"/usr/share/doc/${PF}/copyright || die
+
+ if use videos ; then
+ insinto /usr/share/${PN}
+ newins "${DISTDIR}"/${VIDEOS_P} sequences.wz
+ fi
+}